> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/watcher/watchershutdown.md).

# WatcherShutdown

Stops and removes a registered watcher from the watcher registry.

This is the destructive single-watcher lifecycle operation. After this call, the watcher is no longer registered and must be recreated before use.

## Method Signature

```
WatcherShutdown(name=[string])
```

### Arguments

| Argument | Type     | Required | Description                           | Default |
| -------- | -------- | -------- | ------------------------------------- | ------- |
| `name`   | `string` | `true`   | The unique watcher name to shut down. |         |

## Examples

### Shutdown a file watcher by name

```java
watcherNew( "shutdownWatcher", getTempDirectory() );
watcherShutdown( "shutdownWatcher" );
writeOutput( "shutdown" );

```

Result: shutdown

## Related

* [WatcherExists](/boxlang-language/reference/built-in-functions/watcher/watcherexists.md)
* [WatcherGet](/boxlang-language/reference/built-in-functions/watcher/watcherget.md)
* [WatcherGetAll](/boxlang-language/reference/built-in-functions/watcher/watchergetall.md)
* [WatcherList](/boxlang-language/reference/built-in-functions/watcher/watcherlist.md)
* [WatcherNew](/boxlang-language/reference/built-in-functions/watcher/watchernew.md)
* [WatcherRestart](/boxlang-language/reference/built-in-functions/watcher/watcherrestart.md)
* [WatcherShutdownAll](/boxlang-language/reference/built-in-functions/watcher/watchershutdownall.md)
* [WatcherStart](/boxlang-language/reference/built-in-functions/watcher/watcherstart.md)
* [WatcherStop](/boxlang-language/reference/built-in-functions/watcher/watcherstop.md)
* [WatcherStopAll](/boxlang-language/reference/built-in-functions/watcher/watcherstopall.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/watcher/watchershutdown.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
